Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
b2RayCastCallback Class Referenceabstract

`#include <b2WorldCallbacks.h>`

## Public Member Functions
virtual float32 | ReportFixture (b2Fixture *fixture, const b2Vec2 &point, const b2Vec2 &normal, float32 fraction)=0

## Detailed Description

Callback class for ray casts. See b2World::RayCast

## Member Function Documentation

virtual float32 b2RayCastCallback::ReportFixture | ( | b2Fixture * | fixture,
|  | const b2Vec2 & | point,
|  | const b2Vec2 & | normal,
|  | float32 | fraction
| ) |  |
| pure virtual

Called for each fixture found in the query. You control how the ray cast proceeds by returning a float: return -1: ignore this fixture and continue return 0: terminate the ray cast return fraction: clip the ray to this point return 1: don't clip the ray and continue

Parameters

  fixture | the fixture hit by the ray
  point | the point of initial intersection
  normal | the normal vector at the point of intersection

Returns
  -1 to filter, 0 to terminate, fraction to clip the ray for closest hit, 1 to continue

The documentation for this class was generated from the following file:

- b2WorldCallbacks.h